Skip to main content
POST
/
{alias}
/
catalog
/
filters
Criar filtro de busca de produtos
curl --request POST \
  --url https://api.dooki.com.br/v2/{alias}/catalog/filters \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "name": "Tamanho",
  "values": [
    {
      "name": "P",
      "color": "#32706F9",
      "image_url": "https://example.com/image.jpg"
    }
  ]
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/catalog/filters"

payload = {
"name": "Tamanho",
"values": [
{
"name": "P",
"color": "#32706F9",
"image_url": "https://example.com/image.jpg"
}
]
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Tamanho',
values: [{name: 'P', color: '#32706F9', image_url: 'https://example.com/image.jpg'}]
})
};

fetch('https://api.dooki.com.br/v2/{alias}/catalog/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "name": "Tamanho",
  "searchable": true,
  "navigation": true
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

Body

application/json

Dados para criação ou atualização de um filtro de produtos

name
string
required

Nome do filtro. Esse valor deve ser único.

Example:

"Tamanho"

values
object[]

Opções de filtro

Response

Filtro criado com sucesso

id
integer
read-only
name
string

Nome do filtro

Example:

"Tamanho"

searchable
boolean
read-only

Indica se o filtro é pesquisável

navigation
boolean
read-only

Indica se o filtro é utilizado na navegação